Bug 1714668 - Upgrade nouveau driver
Summary: Upgrade nouveau driver
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-28 14:45 UTC by MicMor
Modified: 2020-11-24 15:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 15:26:41 UTC
Type: Bug


Attachments (Terms of Use)

Description MicMor 2019-05-28 14:45:21 UTC
Description of problem:


hello, 

would it be possible to propose the update of the "nouveau" driver

Because there is a lot of error with version 1.0.15. The version 1.0.16 may correct these errors.

Thank You

Version-Release number of selected component (if applicable):

current version 1.0.15 new version 1.0.16


changelog: https://cgit.freedesktop.org/nouveau/xf86-video-nouveau/log/




Additional info:

source: https://cgit.freedesktop.org/nouveau/xf86-video-nouveau/

Comment 2 MicMor 2019-06-02 12:19:21 UTC
Same error under kernel 5.0.17 and 5.1.5

[ 2308.461185] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 122124 [ IBUS ]
[ 2396.076616] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 2403.036118] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 2452.691582] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 2480.099410] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 4892.636426] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 4902.880838] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 4942.892776] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 5262.036948] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]

Comment 3 MicMor 2019-06-06 13:57:52 UTC
kernel 5.1.7

931.334811] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 4301.871472] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 4322.732938] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[ 4350.298813] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]

Comment 5 MicMor 2019-07-26 02:10:31 UTC
Hello,

After the update of mesa (1.9.1.3), would it be possible to update also the "nouveau" driver? For possible corrections of errors of this version. Thank you

Comment 6 MicMor 2019-08-14 09:37:39 UTC
Hello,

I'm sorry I do not see much progress in updating the "nouveau" driver. Some distributions already offer it in version 1.0.16, such as ubuntu 19.x. When in the fedora? Because we ask to privilege the open-source driver but it is very little followed, it's a pity.

https://repology.org/project/xdrv:nouveau/versions

Comment 7 Ben Cotton 2020-11-03 15:14:44 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-11-24 15:26:41 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.